
Name:		festlex
Summary:	Voices for Festival - a free speech synthesizer 
Version:	1.4.3
Release:	%mkrel 16
License:	BSD
Group:		Sound/Utilities
URL:		http://www.cstr.ed.ac.uk/projects/festival/
BuildArch:	noarch

### DICTIONARIES
# Generic English dictionary
Source100: ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festlex_POSLEX.tar.bz2
# American English dictionary
Source101: ftp://ftp.cstr.ed.ac.uk/pub/festival/%{version}/festlex_CMU.tar.bz2

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains dictionaries for use with Festival.


%package POSLEX
Group:		Sound/Utilities
Summary:	Festival Speech Lexicons for Engish
Provides:	festival-lexicons = %{version}-%{release}

%description POSLEX
Part of speech lexicons and ngram from English.  Required by all
British and American English voices.

%package CMU
Group:		Sound/Utilities
Summary:	CMU dictionary in Festival form
Provides:	festival-dictionary = %{version}-%{release}
Provides:	festival-dictionary-en_US = %{version}-%{release}
Requires:	festlex-POSLEX

%description CMU
CMU dictionary in Festival form, required for American English voices.

%prep
%setup -T -c -q -a 100 -a 101

%build

#cd festival/lib/dicts/cmu
#make
#cd ../../..

%install
mkdir -p %{buildroot}%_datadir/festival
cp -a festival/lib/dicts %{buildroot}%_datadir/festival

rm -f %{buildroot}/%{_datadir}/festival/dicts/COPYING.poslex

%files POSLEX
%_datadir/festival/dicts/wsj*
%doc festival/lib/dicts/COPYING.poslex

%files CMU
%_datadir/festival/dicts/cmu
%doc festival/lib/dicts/cmu/COPYING


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.4.3-16.mga6
+ Revision: 944764
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-15.mga5
+ Revision: 739325
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-14.mga5
+ Revision: 679158
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-13.mga4
+ Revision: 504401
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.3-12.mga3
+ Revision: 350241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 1.4.3-11.mga3
+ Revision: 342958
- update sub-package group
- update group
- spec clean

* Mon May 16 2011 ahmad <ahmad> 1.4.3-10.mga1
+ Revision: 99273
- imported package festlex


* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-9mdv2011.0
+ Revision: 664301
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-8mdv2011.0
+ Revision: 605123
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.3-7mdv2010.1
+ Revision: 521122
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.4.3-6mdv2010.0
+ Revision: 424432
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.4.3-5mdv2009.0
+ Revision: 220788
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.4.3-4mdv2008.1
+ Revision: 149720
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.org> 1.4.3-3mdv2008.0
+ Revision: 90204
- rebuild for 2008


* Wed Jan 31 2007 Götz Waschk <waschk@mandriva.org> 1.4.3-2mdv2007.0
+ Revision: 115700
- Import festlex

* Wed Jan 31 2007 Gtz Waschk <waschk@mandriva.org> 1.4.3-2mdv2007.1
- rebuild

* Sun Jan 08 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.3-2mdk
- Rebuild

